Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: linux-image-5.4.0-59-generic Пакет ядра блокирует установку. удалить не могу.  (Прочитано 1966 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн janxxx7

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Здравствуйте.
Визуально выглядит так.
(Нажмите, чтобы показать/скрыть)

обнаружил проблему при попытке поставить программу playonlinux. концовка та же - ошибки при обработке пакетов
linux-image-5.4.0-59-generic.
перечислю все что пытался сделать:
sudo apt-get autoclean    sudo apt-get autoremove    sudo apt-get clean    apt-get -f install
(Нажмите, чтобы показать/скрыть)
(Нажмите, чтобы показать/скрыть)
(Нажмите, чтобы показать/скрыть)
пробовал удалить пакет.
(Нажмите, чтобы показать/скрыть)
нашел на сайте такую команду: Для удаления старых ядер, кроме последнего и предпоследнего
sudo apt-get purge $(dpkg -l 'linux-*' | sed '/^ii/!d;/'"$(uname -r | sed "s/\(.*\)-\([^0-9]\+\)/\1/")"'/d;s/^[^ ]* [^ ]* \([^ ]*\).*/\1/;/[0-9]/!d' | head -n -1)
(Нажмите, чтобы показать/скрыть)
периодически вылетает сообщение об ошибке обновлений.
ничего не помогло. установить какую либо программу не могу.
Спасибо.

Оффлайн ALiEN

  • Администратор
  • Старожил
  • *
  • Сообщений: 6752
  • 20% Cooler
    • Просмотр профиля
🖥 AsRock B550M Pro4 :: AMD Ryzen 5 3600 :: 16 GB DDR4 :: AMD Radeon RX 6600 :: XFCE
💻 ACER 5750G :: Intel Core i5-2450M :: 6 GB DDR3 :: GeForce GT 630M :: XFCE

Оффлайн janxxx7

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
cat /etc/default/grub?
(Нажмите, чтобы показать/скрыть)
« Последнее редактирование: 04 Февраля 2021, 23:40:44 от ALiEN175 »

Оффлайн ALiEN

  • Администратор
  • Старожил
  • *
  • Сообщений: 6752
  • 20% Cooler
    • Просмотр профиля
кавычки поставьте нормальные. Конкретно здесь:
Код: (txt) [Выделить]
GRUB_CMDLINE_LINUX_DEFAULT=”quiet splash” #неправильные
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash" #правильные
« Последнее редактирование: 04 Февраля 2021, 23:46:44 от ALiEN175 »
🖥 AsRock B550M Pro4 :: AMD Ryzen 5 3600 :: 16 GB DDR4 :: AMD Radeon RX 6600 :: XFCE
💻 ACER 5750G :: Intel Core i5-2450M :: 6 GB DDR3 :: GeForce GT 630M :: XFCE

Оффлайн ua9oas

  • Любитель
  • *
  • Сообщений: 56
  • Запрашивает Миша Рыцаревъ!
    • Просмотр профиля
    • Запрашивает Миша Рыцаревъ!
Проблема эта, позже я так понял- из за ошибки в "Grub" возникла- а из за чего тогда сама эта ошибка могла в данном случае возникнуть? (Где-то в логах же могут ответы на этот вопрос содержаться?) И может ли такая ошибка возникнуть из за того, что более новые версии ядра при попытке обновления на них потеряли с чем-либо совместимость в этом экземпляры этой операционной системы? (В том числе и из за несовершенств в самих обновлениях- такое вообще с любым софтом в истории бывало- никто от этого не застрахован (и на следующий день после создания этой темы заодно то ядро "66" вышла- а в нем опять много изменений было и еще на следующий день- релиз "20.04.2" (с ядром уже "5.8") состоялся (а на момент редактирования мной этого моего поста ядро Вашей ветки так вообще и "5.4.0-147" уже вышла- https://www.ubuntuupdates.org/package/core/focal/main/proposed/linux (и "5.15.0-69"- в "20.04.6")- уже столько лет прошло- интересно, а были ли еще случаи, что с обновлениями ядра какие-то проблемы у кого-то опять возникали?))
« Последнее редактирование: 01 Апреля 2023, 03:59:32 от ua9oas »

Оффлайн ALiEN

  • Администратор
  • Старожил
  • *
  • Сообщений: 6752
  • 20% Cooler
    • Просмотр профиля
ua9oas, это тут при чём вообще? У ТС ошибка в конфигурационном файле груб, следовательно,  невозможность обновить ядро.
🖥 AsRock B550M Pro4 :: AMD Ryzen 5 3600 :: 16 GB DDR4 :: AMD Radeon RX 6600 :: XFCE
💻 ACER 5750G :: Intel Core i5-2450M :: 6 GB DDR3 :: GeForce GT 630M :: XFCE

Оффлайн janxxx7

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
кавычки поставьте нормальные. Конкретно здесь:
Код: (txt) [Выделить]
GRUB_CMDLINE_LINUX_DEFAULT=”quiet splash” #неправильные
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash" #правильные
(Нажмите, чтобы показать/скрыть)
сделал

Оффлайн ALiEN

  • Администратор
  • Старожил
  • *
  • Сообщений: 6752
  • 20% Cooler
    • Просмотр профиля
сделал
ну, теперь все ваши команды из первого поста должны отрабатывать корректно
🖥 AsRock B550M Pro4 :: AMD Ryzen 5 3600 :: 16 GB DDR4 :: AMD Radeon RX 6600 :: XFCE
💻 ACER 5750G :: Intel Core i5-2450M :: 6 GB DDR3 :: GeForce GT 630M :: XFCE

Оффлайн janxxx7

  • Автор темы
  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
сделал
ну, теперь все ваши команды из первого поста должны отрабатывать корректно
Работает!
Большое вам человеческое спасибо.

 

Страница сгенерирована за 0.042 секунд. Запросов: 25.